## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface Library

    public interface Library

A representation of the model object 'Library'.

The following features are supported:

- `Name`
- `Writers`
- `Books`

See Also:
  `LibraryPackage.getLibrary()`
Generated:
Model:

Method Summary
`<any>` `getBooks()` Returns the value of the 'Books' containment reference list.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`<any>` `getWriters()` Returns the value of the 'Writers' containment reference list.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `LibraryPackage.getLibrary_Name()`
  Generated:
  Model:

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`
  Generated:

### getWriters

    <any> getWriters()

  Returns the value of the 'Writers' containment reference list. The list contents are of type `Writer`. It is bidirectional and its opposite is '`Library`'.

  If the meaning of the 'Writers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Writers' containment reference list.
  See Also:
    `LibraryPackage.getLibrary_Writers()`, `Writer.getLibrary()`
  Generated:
  Model:
    opposite="library" containment="true"

### getBooks

    <any> getBooks()

  Returns the value of the 'Books' containment reference list. The list contents are of type `Book`. It is bidirectional and its opposite is '`Library`'.

  If the meaning of the 'Books' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Books' containment reference list.
  See Also:
    `LibraryPackage.getLibrary_Books()`, `Book.getLibrary()`
  Generated:
  Model:
    opposite="library" containment="true"